Page MenuHomePhabricator

ecore/main: only update loop_time during loop iteration if the change is monotonic
ClosedPublic

Authored by zmike on Aug 6 2018, 11:48 AM.

Details

Summary

in the case where the user has called loop_time_set with a value in the future,
avoid setting the loop time to something that would potentially cause a callback
to occur with a loop_time value before a previous occurrence of that callback

@fix

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.Aug 6 2018, 11:48 AM

It seems that this patch has no reviewers specified. If you are unsure who can review your patch, please check this wiki page and see if anyone can be added: https://phab.enlightenment.org/w/maintainers_reviewers/

zmike requested review of this revision.Aug 6 2018, 11:48 AM
zmike updated this revision to Diff 16208.Aug 8 2018, 11:33 AM
zmike retitled this revision from ecore/main: only update loop_time during select if the change is monotonic to ecore/main: only update loop_time during loop iteration if the change is monotonic.

Won't loop timers with an interval of 0 still fire multiple times for the same loop time?

zmike added a comment.Aug 8 2018, 2:20 PM

That's outside the scope of this patch.

ManMower accepted this revision.Aug 10 2018, 2:23 PM

I've checked the engines I'm most familiar with (drm and wayland) - I think they're still the only ones with custom tickers that might care about this. They should be unaffected by the change.

This looks like a sensible change to me.

This revision is now accepted and ready to land.Aug 10 2018, 2:23 PM
This revision was automatically updated to reflect the committed changes.